> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/using-the-graphql-api/mutations/revenuemovementcreate.md).

# revenueMovementCreate

Create a manual revenue movement

**Scope required:** billing:write

For a complete list of input attributes see the [RevenueMovementAttributes](/developer/api-reference/types/revenuemovementattributes.md) type

```graphql
mutation revenueMovementCreate ($attributes: RevenueMovementAttributes!) {
  revenueMovementCreate (attributes: $attributes) {
      errors
      revenueMovement {
        accountId
        currencyId
        date
        id
        manual
        movementType
        recurringAmount
        totalAmount
        usageAmount
        usageMovementType
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "accountId": "456123",
    "date": "2022-06-01",
    "recurringAmount": "1.00",
    "movementType": "",
    "usageAmount": "1.00",
    "usageMovementType": ""
  }
}
```

| Name       | Type                                                                                     | Description |
| ---------- | ---------------------------------------------------------------------------------------- | ----------- |
| attributes | [RevenueMovementAttributes](/developer/api-reference/types/revenuemovementattributes.md) |             |

## Response

| Name            | Type                                                                 | Description |
| --------------- | -------------------------------------------------------------------- | ----------- |
| errors          | List (String)                                                        |             |
| revenueMovement | [RevenueMovement](/developer/api-reference/types/revenuemovement.md) |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/revenuemovementcreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
